Certify beneficial ownership - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/customers/{id}/beneficial-ownership
cURL
POST https://api-sandbox.dwolla.com/customers/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc/beneficial-ownership
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"status": "certified"
}
JavaScript (Node.js)
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl = "https://api-sandbox.dwolla.com/customers/e52006c3-7560-4ff1-99d5-b0f3a6f4f909";
var requestBody = {
status: "certified",
};
dwolla.post(`${customerUrl}/beneficial-ownership`, requestBody);
Python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/e52006c3-7560-4ff1-99d5-b0f3a6f4f909'
request_body = {
"status": "certified"
}
app_token.post('%s/beneficial-ownership' % customer_url, request_body)
PHP
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customersApi = new DwollaSwagger\CustomersApi($apiClient);
$customerId = 'https://api-sandbox.dwolla.com/customers/e52006c3-7560-4ff1-99d5-b0f3a6f4f909';
$certifyCustomer = $customersApi->changeOwnershipStatus(['status' => 'certified' ], $customerId);
?>
Ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/e52006c3-7560-4ff1-99d5-b0f3a6f4f909'
request_body = {
:status => "certified"
}
app_token.post "#{customer_url}/beneficial-ownership", request_body
Response Codes
- 200: successful operation
- 400: bad request
- 403: forbidden
Example Response
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"status": "uncertified"
}
Error Responses
{
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details.",
"_embedded": {
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details."
}
}
{
"code": "forbidden",
"message": "Forbidden from updating beneficial ownership status for this customer."
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: yes
- Description: The access token received from the authorization server in the OAuth 2.0 flow.
Headers
- Accept: enum
- Default: application/vnd.dwolla.v1.hal+json
- Required: yes
- Description: The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Path Parameters
- id: string
- Required: yes
- Description: Customer unique identifier
Body
- status: string
- Required: yes
- Description: Parameters for certifying beneficial ownership for a Customer